#pragma once
#include "global.h"
class CWaitRecord : public CDialog
{
	DECLARE_DYNAMIC(CWaitRecord)
public:
	CWaitRecord(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CWaitRecord();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMAPEDITOR_WAITRECORD };
#endif
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
public:
	UINT_PTR timeid;
	std::vector<DWORD> outRecord;
};

